Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Resource_Factory Class Reference

TAO AV Streams default resource factory abstract The AV Streams resource factory loads the pluggable transport and flow protocol factories in the corresponding factory sets. More...

`#include <Resource_Factory.h>`

Inheritance diagram for TAO_AV_Resource_Factory:

[legend]
Collaboration diagram for TAO_AV_Resource_Factory:

[legend]
List of all members.

## Public Methods
Service Configurator Hooks
virtual int | init (int argc, char *argv[])=0
| Dynamic linking hook.

## Detailed Description

TAO AV Streams default resource factory abstract The AV Streams resource factory loads the pluggable transport and flow protocol factories in the corresponding factory sets.

## Member Function Documentation

virtual int TAO_AV_Resource_Factory::init | ( | int | argc,
|  | char * | argv[]
| ) | `[pure virtual]`

| Dynamic linking hook. Implemented in TAO_AV_Default_Resource_Factory.

The documentation for this class was generated from the following file:

- Resource_Factory.h